# -v title
# -v right_root
# -v library_root
# -v link_to_changelog
# -v link_stem
# -v back
# -v back_label
# -v creators_root
# -v details
# -v about
# 
# -v page_bg
# -v table_bg
# -v headers_bg
# 

BEGIN {
  	 if (page_bg == "")
	   page_bg = "#bebebe";

	 if (table_bg == "")
	   table_bg = "#bebebe";

	 if (headers_bg == "")
	   headers_bg = "#bebebe";

         print "<HTML>";
         print "";
         print "<HEAD><TITLE>" title "</TITLE></HEAD>";
         print "";
         print "<BODY bgcolor=\"" page_bg "\">";
         print "";
         print "";
         print "<table border bgcolor=\"" table_bg "\" width=\"100%\">";
         print "<caption><font color=\"#dedede\"><i>";
	 print title;
	 if (back != "")
	   {
	     if (back_label == "")
	       {
		 back_label = "BACK LABEL GOES HERE";
	       }
	     print "<p align=right><a target=\"_top\" href=\"" back "\"><small>" back_label "</small>";
	   }
	 print "</i></font></caption>";
       }
    
{
  print "<tr>";
  print "<td><font color=\"#000000\">";
  if (link_stem != "")
    {
      print "<a target=\"right\" href=\"" right_root "/" $0 "/" link_stem "-right.html\">" $0 "</a> ";
    }
  else
    {
      print "<a target=\"right\" href=\"" right_root "/" $0 "-right.html\">" $0 "</a> ";
    }
  if (about)
    {
      print "<a target=\"new_window\" href=\"" $2 "\"><small><i>about</i></small></a> ";
    }
  if (library_root != "")
    {
      print "<a target=\"display\" href=\"" library_root "/" $0 "/=README\"><small><code>=README</code></small></a> ";
    }
  if (link_to_changelog)
    {
      print "<br>";
      print "<a target=\"display\" href=\"vsns/" $0 "/changelog.html\"><small><code>ChangeLog</code></small></a> ";
    }
  if (creators_root != "")
    {
      print "<a target=\"_top\" href=\"" creators_root "/" $0 "/" "creator-index.html\"><small><i>creators</i></small></a> ";
    }
  if (link_to_changelog)
    {
      print "<a target=\"display\" href=\"vsns/" $0 "/files-by-tag.html\"><small><i>file tags</i></small></a> ";
    }
  if (details != "")
    {
      print "<a target=\"display\" href=\"" right_root "/" $0 "/" details "\"><small><i>details</i></small></a> ";
    }
  print "</font></td>";
  print "</tr>";
}
    
END {
      print "</table>"
      print ""
      print "</BODY>"
      print ""
      print "</HTML>"
    }

# tag: Tom Lord Sat Jan 26 16:51:30 2002 (web/left-index.awk)
#
